### Method

# Ide Diagnostic to_variant

#### Declaration

    GVariant*
    ide_diagnostic_to_variant (
      IdeDiagnostic* self
    )

#### Description

Creates a `GVariant` to represent the diagnostic. This can be useful when working in subprocesses to serialize the diagnostic.

This function will never return a floating variant.

Available since: | 3.32

#### Return value

Returns: | `GVariant`
| A `GVariant`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.